> For the complete documentation index, see [llms.txt](https://docs.velafi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.velafi.com/velafi-1/guides/activate-merchant-account.md).

# Activate Merchant Account

This endpoint is used to activate a merchant's fiat currency payment account. Supported currencies include MXN, ARS, USD, and EUR. Once activated, merchants can send and receive funds through local banking channels with increased flexibility and efficiency.

* Each merchant will receive dedicated account details (e.g., ARS accounts include CVU number / CUIT for Argentina).
* Merchants can deposit funds via wire transfer; VelaFi will automatically reconcile the transaction and credit the merchant’s account balance.
* Both business and personal account types are supported, enabling broad use across various payment scenarios.
* Note: Once a EUR account is activated, it enables the merchant to operate with both EUR and USD currencies simultaneously.

#### Endpoint Information

* **Request Header**: `X-BH-TOKEN: ******`
* **Request Header**: `Content-Type: application/json`
* **Request Method**: `POST`
* **Request Path**: `/v2/merchant/accounts`
* **Authorization Required**: Yes

#### Request Parameters

The request body should include the following fields:

**For MXN Account (Mexico)**

```json
{    
    "merchantId": "15126673", // (required, number: id of the merchant)
    "fiat": "MXN", // (required, string: name of the fiat currency [MXN/USD/EUR])
    "fieldList": { // List of channel fields
        "email": "rturo@gmail.com", // (optional, string: Email, if the merchant information is not provided, it must be filled in)
        "idNoType": "CURP", //(required, enum: type of identification document [CURP/RFC])
        "idNo": "MACM000502IR6",//(required, string: identity number)
        "cardIssueDate": "2019-06-01", // (required, string: Card Issue Date (yyyy-MM-dd))
        "cardExpireDate": "2029-06-01", // (required, string: Card Expiry Date (yyyy-MM-dd))
        "address": "Celle Lagu Wenner 50", // (required, string: Address)
        "city": "Ciudad de Mexico", // (required, string: City)
        "state": "CMX", // (required, string: State)
        "zipCode": "09060", // (required, string: Zip Code)
        "phone": "35580481683", // (required, string: Phone)
        
        "companyName": "Rrturo Tellez", // (string: Company Name, required if merchantType is COMPANY)
        "aliasName": "Rrturo", // (string: Alias Name, required if merchantType is COMPANY)
        "companyType": "SC", // (string: Company Type, required if merchantType is COMPANY)
        "incorporationDate": "2019-02-01", // (string: Incorporation Date (yyyy-MM-dd), required if merchantType is COMPANY)
    
        "birthday": "1988-07-02", // (string: Birthday (yyyy-MM-dd), required if merchantType is PERSONAL)
        "name": "Tellez", // (string: Name, required if merchantType is PERSONAL)
        "fatherSurname": "Rrturo", // (string: Father's Surname, required if merchantType is PERSONAL)
        "motherSurname": "" // (string: Mother's Surname, required if merchantType is PERSONAL)
    }
}
```

**For ARS Account (Argentina)**

```json
{
    "merchantId": "15126673", // (required, number: id of the merchant)
    "fiat": "ARS", // (required, string: name of the fiat currency [MXN/USD/EUR])
    "fieldList": { // List of channel fields
        "email": "rturo@gmail.com", // (optional, string: Email, if the merchant information is not provided, it must be filled in)
        "cuit": "30708424478", // (required, string: CUIT)
        "name": "COCOS CAPITAL SA", // (required, string: Full Name)
        "alias": "soc.te" // (optional, string: Alias)
    }
}
```

**For EUR/USD Account**

After the EUR currency account is activated, it can be used for both EUR and USD transactions.

```json
{
    "merchantId": "15126673", // (required, number: id of the merchant)
    "fiat": "EUR", // (required, string: name of the fiat currency [MXN/USD/EUR]) 
    "fieldList": { // List of channel fields
        "email": "rturo@gmail.com", // (optional, string: Email, if the merchant information is not provided, it must be filled in)
        "companyName": "CAPITAL SA COCOS", // (string: Company Name, required if merchantType is COMPANY)
        "firstName": "CAPITAL SA", // (string: First Name, required if merchantType is PERSONAL)
        "lastName": "COCOS" // (string: Last Name, required if merchantType is PERSONAL)
    }
}
```

#### Response Structure

The response will include the following fields:

```json
{
    "code": 200,
    "msg": "SUCCESS",
    "data": {
        "fiat": "MXN", // (string: name of the fiat currency [MXN/USD/EUR]) 
        "status": 1, // (enum: status of the channel [1: authenticating, 2: normal, 3: authentication failed, 4: incomplete])
        "failReason": "", //（string: cause of failure)
        "verifyLink": "" // (string: Verified link, only through the IBAN channel is it possible)
    }
}
```

#### Example Requests

**Example Request (MXN)**

```json
{    
    "fiat": "MXN",
    "merchantId": 15126673,
    "fieldList": { 
        "email": "rturo@gmail.com", 
        "idNoType": "CURP",
        "idNo": "MACM000502IR6",
        "cardIssueDate": "2019-06-01",
        "cardExpireDate": "2029-06-01",
        "address": "Celle Lagu Wenner 50", 
        "city": "Ciudad de Mexico",
        "state": "CMX",
        "zipCode": "09060",
        "phone": "35580481683",
        
        "companyName": "Rrturo Tellez",
        "aliasName": "Rrturo",
        "companyType": "SC",
        "incorporationDate": "2019-02-01",
    
        "birthday": "1988-07-02", 
        "name": "Tellez",
        "fatherSurname": "Rrturo",
        "motherSurname": ""
    }
}
```

**Example Request (ARS)**

```json
{
    "fiat": "ARS",
    "merchantId": 15126673,
    "fieldList": {
        "email": "rturo@gmail.com",
        "cuit": "30708424478",
        "name": "COCOS CAPITAL SA",
        "alias": "soc.te"
    }
}
```

**Example Request (EUR/USD)**

```json
{
    "fiat": "EUR",
    "merchantId": "15126673",
    "fieldList": {
        "email": "rturo@gmail.com",
        "companyName": "CAPITAL SA COCOS"       
    }
}
```

#### Example Responses

**Example Response (MXN)**

```json
{
    "code": 200,
    "msg": "SUCCESS",
    "data": {
        "fiat": "MXN",
        "status": 1,
        "failReason": ""        
    }
}
```

**Example Response (ARS)**

```json
{
    "code": 200,
    "msg": "SUCCESS",
    "data": {
        "fiat": "ARS",
        "status": 1,
        "failReason": ""        
    }
}
```

**Example Response (EUR/USD)**

```json
{
    "code": 200,
    "msg": "SUCCESS",
    "data": {
        "fiat": "EUR",
        "status": 4,
        "verifyLink": "https://www.VelaFi-test.com/business/channel/verify?token=12ceff08f9621808b5a573972cdfb10f",
        "failReason": ""        
    }
}
```

#### Notes

* Ensure that all fields in the request body are filled out correctly to facilitate the activation process.
* Merchants may need to provide additional documentation based on the type of account being activated.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.velafi.com/velafi-1/guides/activate-merchant-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
